=== debian/changelog ===
ros-indigo-bwi-virtour (0.3.12-0trusty) trusty; urgency=high

  * set execute permissions when installing scripts (utexas-bwi/bwi#46 <https://github.com/utexas-bwi/bwi/issues/46>)
  * document link to web page (#78 <https://github.com/utexas-bwi/bwi_common/issues/78>)
  * add roslaunch check (#73 <https://github.com/utexas-bwi/bwi_common/issues/73>)
  * Contributors: Jack O'Quin

 -- Pato Lankenau <plankenau@gmail.com>  Wed, 14 Sep 2016 05:00:00 -0000

ros-indigo-bwi-virtour (0.3.11-0trusty) trusty; urgency=high



 -- Pato Lankenau <plankenau@gmail.com>  Sat, 27 Aug 2016 05:00:00 -0000

ros-indigo-bwi-virtour (0.3.10-0trusty) trusty; urgency=high

  * bwi_virtour: install scripts in catkin bin destination (#70 <https://github.com/utexas-bwi/bwi_common/issues/70>)
    collect scripts in sub-folder
    do not install web folder
  * bwi_virtour: fix catkin_lint errors, missing installs (#70 <https://github.com/utexas-bwi/bwi_common/issues/70>)
  * changed the way robots are detected
  * added notice if no robots available
  * removed serve certificate from enable and added deliver_message
  * cleaned up result handling
  * Contributors: Jack O'Quin, Pato

 -- Pato Lankenau <plankenau@gmail.com>  Mon, 15 Aug 2016 05:00:00 -0000

ros-indigo-bwi-virtour (0.3.9-0trusty) trusty; urgency=high

  * New bwi_common package, reconcile version number (#67 <https://github.com/utexas-bwi/bwi_common/issues/67>)
  * added starting kr execution and other service providers
  * added launch files to enable and disable tours
  * added UI for message delivery system
  * added local debug version
  * Contributors: Jack O'Quin, Pato

 -- Pato Lankenau <plankenau@gmail.com>  Fri, 05 Aug 2016 05:00:00 -0000
