=== debian/control ===
Source: ros-indigo-bwi-virtour
Section: misc
Priority: extra
Maintainer: Pato Lankenau <plankenau@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-indigo-actionlib, ros-indigo-bwi-kr-execution, ros-indigo-catkin, ros-indigo-message-generation, ros-indigo-roscpp, ros-indigo-std-msgs
Homepage: 
Standards-Version: 3.9.2

Package: ros-indigo-bwi-virtour
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-indigo-actionlib, ros-indigo-bwi-kr-execution, ros-indigo-bwi-services, ros-indigo-message-runtime, ros-indigo-rosbridge-server, ros-indigo-roscpp, ros-indigo-std-msgs, ros-indigo-web-video-server
Description: Web interface providing a virtual tour of the Gates/Dell Complex of the University of Texas at Austin using the Building-Wide Intelligence infrastructure.
